Bug 2005492 - anaconda fails live media install with Errno 2] No such file or directory: '/mnt/sysroot/root/original-ks.cfg'
Summary: anaconda fails live media install with Errno 2] No such file or directory: '/...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vladimír Slávik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F36BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2021-09-17 18:52 UTC by Kevin Fenzi
Modified: 2021-10-28 19:38 UTC (History)
10 users (show)

Fixed In Version: anaconda-36.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-28 19:38:12 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Kevin Fenzi 2021-09-17 18:52:21 UTC
anaconda-36.3-1.fc36

failing kde task: 
https://koji.fedoraproject.org/koji/taskinfo?taskID=75833053

All the logs should be attached to that build... let me know if you need anything more/else.

Comment 1 Martin Kolman 2021-09-17 19:38:56 UTC
This could related to the "Copy logs in a task instead of a %%post script" change, namely the kickstart copying function:

https://github.com/rhinstaller/anaconda/pull/3571/commits/bb14b56a38049fb986fc4926d59bb2d67fee526a#diff-e7351162c139751e1d5e21e4a0619561c4e5684c219452514c4b2cf17bf34b7aR140

As the issue happens during live image creation I guess there could be some specific edge case combination of circumstances the new task does not handle yet.

Comment 2 Adam Williamson 2021-09-17 23:57:37 UTC
Automatic F36 Beta blocker as it's blocking image composes. I also hit on that commit as the likely culprit.

Comment 3 Vladimír Slávik 2021-09-21 17:29:34 UTC
Ouch, I missed this bug, it should have been mentioned on the commit. The fix has been merged, hopefully we'll have a build soon.

https://github.com/rhinstaller/anaconda/pull/3612

Comment 4 Adam Williamson 2021-10-28 19:38:12 UTC
This was obviously fixed long ago, we have composes.


Note You need to log in before you can comment on or make changes to this bug.